Subject: Re: [PATCH net-next-2.6] vlan: remove ndo_select_queue() logic

From: John Fastabend <[email-masked]>
Date: Tue, 16 Nov 2010 20:12:03 -0800

On 11/16/2010 11:54 AM, Eric Dumazet wrote:
> Le mardi 16 novembre 2010 à 11:24 -0800, David Miller a écrit :
>> From: Eric Dumazet <[email-masked]>
>> Date: Thu, 11 Nov 2010 20:42:45 +0100
>>
>>> [PATCH] vlan: remove ndo_select_queue() logic
>>>
>>> Now vlan are lockless, we dont need special ndo_select_queue() logic.
>>> dev_pick_tx() will do the multiqueue stuff on the real device transmit.
>>>
>>> Suggested-by: Jesse Gross <[email-masked]>
>>> Signed-off-by: Eric Dumazet <[email-masked]>
>>
>> Also applied, but again there were conflicts I had to resolve,
>> please check that I got it right.
>>
> 
> Both patches seem fine to me.
> 
> I am going to test them.
> 
> Thanks !
> 
> 

Everything seems in order as far as I can tell. I've had io running over 50 VLANs for a few hours now. 

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html